Join 34,000+ subscribers and receive articles from our blog about software quality, testing, QA and security.
 

Install migration + upgrade (Windows - RHEL)


#1

Hi All

I am migrating our install from Windows (PHP5) to RHEL7 (PHP 7.2)

I am getting the following error:

An Error Occurred

Unsupported database driver specified (sqlsrv)

The thing is I know that sqlsrv is there:

sqlsrv

sqlsrv support enabled
ExtensionVer 5.3.0
Directive Local Value Master Value
sqlsrv.ClientBufferMaxKBSize 10240 10240
sqlsrv.LogSeverity 0 0
sqlsrv.LogSubsystems 0 0
sqlsrv.WarningsReturnAsErrors On On

any help would be greatly appreciated.

Thank you


#2

Hi Warren,

Thanks for the post! When installing TestRail on a Linux system (such as RHEL), the database would need to be MySQL 5.X as SQL Server is not supported in a Linux environment at the moment. In order to use SQL Server for the database, TestRail would need to be installed on a Windows Server machine.

That said, if you would like to export your existing SQL Server database into the MySQL format (and vice versa), we can provide you with a database export tool for this. If this is something you are interested in, please reach out to our support team directly at contact@gurock.com and let us know which version of TestRail you currently have installed. This can be found in the ‘About TestRail’ area under Administration > Overview.

I hope this helps!

Regards,
John